clc; close all; clear variables;

% set paths, parameters, etc.
preamble;

for options = {''}; % {'', 'virtual', 'reversible'} % select type of moist adiabat: '' for standard, 'virtual' for pseudo, and 'reversible' for reversible

	option = options{1};

	bnd = 10; % latitudinal bound of tropics used in this study
	tok = {'', 'E0', 'E2', 'E3', 'E4', 'E7'}; % which GFDL AM2 experiments to synthesize?
	tok_num = [0.025, 0, 0.1, 0.05, 0.0125, 0.00625]; % corresponding tokioka values to the above simulation ID's
	clrs = {par.maroon, par.purple, par.orange, par.paprika, par.ruby, par.brown}; % corresponding colors for plotting
	leg.lab = {'$\alpha$ = 0', '$\alpha$ = 0.00625', '$\alpha$ = 0.0125', '$\alpha$ = 0.025', '$\alpha$ = 0.05', '$\alpha$ = 0.1'}; % corresponding labels for plotting

	%% run analysis
	analysis(tok, tok_num, clrs, leg, bnd, par, option);

end