function dtadpa = comp_dtadpa( temp, plev )

	dtadpa = nan(size(temp));

	for i = 1:size(temp, 1)
		for j = 1:size(temp, 2)
			for t = 1:size(temp, 4)
				for k = 1:size(temp, 3)
					if k == 1
						dtadpa(i,j,k,t) = (temp(i,j,k+1,t) - temp(i,j,k,t)) / (plev(k+1) - plev(k));
					elseif k == length(plev)
						dtadpa(i,j,k,t) = (temp(i,j,k,t) - temp(i,j,k-1,t)) / (plev(k) - plev(k-1));
					% center difference
					% else
					%  	dtadpa(i,j,k,t) = (temp(i,j,k+1,t) - temp(i,j,k-1,t)) / (plev(k+1) - plev(k-1));
					% forward difference
					 else
					 	dtadpa(i,j,k,t) = (temp(i,j,k+1,t) - temp(i,j,k,t)) / (plev(k+1) - plev(k));
					end
				end
			end
		end
	end

end
