function eps = comp_so_eps(T, RH, z, pa, par)

	for i=1:length(T)
		L(i) = calc_L(T(i), par.frz);
		qsat(i) = calc_q(pa(i), calc_esat(T(i), par.frz), par);
	end

	z_half = 1/2*(z(2:end)+z(1:end-1));
	gamma_half = (T(2:end)-T(1:end-1))./(z(2:end)-z(1:end-1));
	gamma = interp1(z_half, gamma_half, z, 'pchip');
	gamma_dry = -par.g/par.cpd;

	a1 = 1+L.*qsat./(par.Rd*T);
	a2 = 1+(L.^2.*qsat)./(par.cpd*par.Rv.*T.^2);

	z_inv = 1./z;
	%eps_fit = par.g./(qsat.*L.*(1-RH/100)).*(gamma/gamma_dry.*a2 - a1)
	%eps_fit = par.g./(qsat.*L.*(1-80/100)).*(gamma/gamma_dry.*a2 - a1)
	%eps=eps_fit;
	%p = polyfitZero(z_inv, eps_fit, 1);
	eps=0.75*z_inv;

end
