function gamma = sat_z(T_p, params)
	L = calc_L(T_p(1));
	qsat = calc_q(T_p(2), calc_esat(T_p(1)), params);
    gamma_dry = ga_dry_z(params);
	gamma = gamma_dry(1) * (1 + (L * qsat) / (params.Rd * T_p(1))) / (1 + (L^2 * qsat) / (params.Rv * T_p(1)^2 * params.cpd));
end
