function [gamma, qsat] = sat_rev(p, T, frz, par)

	L = calc_L(T, frz);
	esat = calc_esat(T, par.frz);
        qsat = calc_q(p, esat, par);
        rsat = par.eps * esat / (p - esat);
	gamma_dry = dry(p, T, par);
	r_l = par.r_t - rsat;
	if frz
		gamma = gamma_dry * ((1 + par.r_t) *(1 + (L * rsat) / (par.Rd * T))) / (1 + rsat * par.cpv / par.cpd + r_l * par.cpi / par.cpd + (L^2 * rsat * (par.eps + rsat)) / (par.Rd * T^2 * par.cpd));
	else
		gamma = gamma_dry * ((1 + par.r_t) *(1 + (L * rsat) / (par.Rd * T))) / (1 + rsat * par.cpv / par.cpd + r_l * par.cpl / par.cpd + (L^2 * rsat * (par.eps + rsat)) / (par.Rd * T^2 * par.cpd));
	end
	% gamma = gamma_dry * ((1 + par.r_t) / (1 + rsat * par.cpv / par.cpd)) * ((1 + (L * rsat)/(par.Rd * T)) / (1 + r_l * par.cpl / (par.cpd + rsat * par.cpv) + (L^2 * rsat * (1 + rsat / par.eps)) / (par.Rv * T^2 * (par.cpd + rsat * par.cpv))));
end
