if strcmp(type{1}, 'am2')
    if contains(sim{1}, 'aq')
        run('aq_control.m');
    elseif contains(sim{1}, 'rce')
        run('rce_control.m');
    end
    subparts = strsplit(sim{1}, '_');
    if contains(sim{1}, 'uni')
	if par.thresh
		    par.scenario = [subparts{1} '296'];
	else
		    par.scenario = [subparts{1} '300'];
	end
    else
	if par.colder
		if contains(sim{1}, 'BM')
		    par.scenario = [subparts{1} 'M4K'];
		elseif contains(sim{1}, 'D')
			par.scenario = [subparts{1} 'M4K'];
		else
		    par.scenario = [subparts{1} 'M4K'];
		end
	else
		if contains(sim{1}, 'BM')
		    par.scenario = [subparts{1} 'Ctrl'];
		elseif contains(sim{1}, 'D')
			par.scenario = [subparts{1} 'Ctrl'];
		else
		    par.scenario = [subparts{1} 'Ctrl'];
		end
	end
    end

end

	define_fields

if strcmp(type{1}, 'cmip5')

	% if contains(sim{1}, 'quad')

		run([sim{1} '_control.m']);

	% end
end


if strcmp(type{1}, 'am2')
	par.localdir = [par.rootdir type{1} '/' scheme '/'  sim{1} '/'] ;
	matfile_path = ['/project2/tas1/miyawaki/matfiles/' type{1} '/' scheme '/' sim{1} '/'];
else
	par.localdir = [par.rootdir type{1} '/' sim{1} '/'] ;
	matfile_path = ['/project2/tas1/miyawaki/matfiles/' type{1} '/' sim{1} '/'];
end

if isempty(option)
	matfoldername = [matfile_path 'mat'];
else
	mattypes = ['_' option];
	matfoldername = [matfile_path 'mat' mattypes];
end
if ~exist(matfoldername, 'dir')
	mkdir(matfoldername)
end
savename = sprintf([matfoldername '/par_%g_%g.mat'], par.ta_bnd, par.idx_perc);
save(savename,'par');

if strcmp(type{1}, 'am2')
	par.dir = ['/project2/tas1/miyawaki/am2/output/' scheme '/' sim{1} '/'];
	par.subdir = 'processed';
end
