function eps = comp_romps_eps(T, RH, z, mc, pa, par)

	for i=1:length(T)
		L(i) = calc_L(T(i), par.frz);
	end

	z_half = 1/2*(z(2:end)+z(1:end-1));
	gamma_half = (T(2:end)-T(1:end-1))./(z(2:end)-z(1:end-1));
	dmc_half = (mc(2:end)-mc(1:end-1))./(z(2:end)-z(1:end-1));
	gamma = interp1(z_half, gamma_half, z, 'pchip');
	dmc = interp1(z_half, dmc_half, z, 'pchip');
	ga = L.*(-gamma)./(par.Rv.*T.^2) - par.g./(par.Rd.*T);

	h1 = interp1(T, z, 240);
	h2 = h1+7000;
	% fz = pi./(h2-h1) .* (sin(pi.*(z-h1)./(h2-h1)))./(1+cos(pi.*(z-h1)./(h2-h1)));
	fz = - dmc./mc;

mc
	eps = (RH./100.*(ga+fz)-fz-par.al.*ga)./((1-RH./100).*(1-par.al))

end
