if strcmp(type{1}, 'am2')

    if contains(sim{1}, 'BM')
        scheme = 'bm';
        fields_3d   = {'wap', 'ucomp', 'vcomp', 'tas', 'ts', 'hurs', 'hur', 'pr', 'prc', 'evspsbl', 'ta', 'theta', 'clip', 'hus', 'tdt_lw', 'tdt_sw'};
    elseif contains(sim{1}, {'D'})
        scheme = 'don';
	if par.do_uw_diag 
        	fields_3d   = {'wap', 'ucomp', 'vcomp', 'tas', 'ts', 'hurs', 'hur', 'pr', 'prc', 'evspsbl', 'ta', 'theta', 'clip', 'hus', 'tdt_lw', 'tdt_sw', 'tdt_conv', 'tdt_ls', 'tdt_vdif', 'fre_deep', 'elt_deep', 'tdt_uwc', 'tdt_pevap_uwc'};
	elseif par.do_don_diag
        	fields_3d   = {'wap', 'ucomp', 'vcomp', 'tas', 'ts', 'hurs', 'hur', 'pr', 'prc', 'evspsbl', 'ta', 'theta', 'clip', 'hus', 'tdt_lw', 'tdt_sw', 'tdt_conv', 'tdt_ls', 'tdt_vdif', 'fre_deep', 'elt_deep'};
	else
		% fields_3d   = {'wap', 'ucomp', 'vcomp', 'tas', 'hurs', 'hur', 'pr', 'prc', 'evspsbl', 'ta', 'theta', 'clip', 'hus', 'tdt_lw', 'tdt_sw', 'tdt_conv', 'tdt_ls', 'tdt_vdif'};
		fields_3d   = {'wap', 'ucomp', 'vcomp', 'tas', 'ts', 'hurs', 'hur', 'pr', 'prc', 'evspsbl', 'ta', 'theta', 'clip', 'hus', 'tdt_lw', 'tdt_sw', 'tdt_conv', 'tdt_ls'};
	end
    else
        scheme = 'ras';
        fields_3d   = {'wap', 'tas', 'ts', 'hurs', 'hur', 'pr', 'prc', 'evspsbl', 'ta', 'theta', 'clip', 'alm', 'ent', 'det', 'mc', 'hus', 'z'};
    end

elseif strcmp(type{1}, 'cmip5')

	fields_3d   = {'wap', 'tas', 'ts', 'hurs', 'hur', 'pr', 'prc', 'evspsbl', 'ta'};

end
