function idx = index_s(nanfilter2d, h700, h850, t700, t850)

	% calculate the index (following Sherwood et al 2013)
	dh = nanfilter2d.*(h700-h850);
	dt = nanfilter2d.*(t700-t850);
	idx = 1/2 * ( (dh)/100 - (dt)/9 );

end
