p.a = 6371e3; % earth radius, m
p.Rd = 287.04; % gas constant for dry air, J/kg/K
p.Rv = 461.50; % gas constant for vapor, J/kg/K
p.eps = 0.6220; % molar mass ratio of vapor to air
p.g = 9.81; % gravitational acceleration
p.cpd = 1005.7; % specific heat of dry air at constant pressure, J/kg/K
p.ppos = [0 0 10/3 7.5/3]; % default figure dimensions
p.fs = 7; % default figure fontsize
