function [gamma] = sat_em(p, T, params)
	L = calc_L(T);
	rsat = calc_r(p, calc_esat(T), params);
	gamma_dry = dry(p, T, params);
	gamma = gamma_dry * (1 + (L * rsat) / (params.Rd * T)) / (1 + (L^2 * rsat * (1 + rsat / params.eps)) / (params.Rv * T^2 * (params.cpd + rsat * params.cpv)));
end
