function [gamma] = sat_em_z(T_p, params)
	L = calc_L(T_p(1));
	rsat = calc_r(T_p(2), calc_esat(T_p(1)), params);
	gamma_dry = dry_z(T_p, params);
	gamma = [gamma_dry(1) * (1 + (L * rsat) / (params.Rd * T_p(1))) / (1 + (L^2 * rsat * (1 + rsat / params.eps)) / (params.Rv * T_p(1)^2 * (params.cpd + rsat * params.cpv))); -T_p(2) * params.g / (params.Rd * T_p(1))];
end
