function land_mask = remove_land(nt, x_2d_lat, x_2d_lon)
	
	[lat2dgrid, lon2dgrid] = meshgrid(x_2d_lat, x_2d_lon - 180);

	land_mask =~ circshift(landmask(lat2dgrid, lon2dgrid), length(x_2d_lon)/2, 1);
	land_mask = double(land_mask);
	land_mask(land_mask==0) = nan;
	land_mask = repmat(land_mask, [1 1 nt]);
	
end
