function nanfilter3d = w_filter_ma(nt, w, par)

	% Use upper x as threshold
	w_pos = w;
	w_idx = w;
	w_pos_vec = w_pos(:);
	id_pos = find(w_pos_vec(:)>=0);
	w_pos_vec(id_pos) = [];
	c_idx_x=prctile(-w_pos_vec, par.idx_perc);
	w_idx(w>=-c_idx_x)=nan;

	% w convection filtered values
	nanfilter3d =~ isnan(w_idx);
	nanfilter3d = double(nanfilter3d);
	nanfilter3d(nanfilter3d == 0) = nan;

end
